<?php
$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_8a2c4179b7145f57e03893c306413a" . "e2" => base64_decode("U0VMRUNUIG9iamVjdF9pZCwgQ09VTlQodXNlcl9pZCkgdmlld3MsIENPVU5UKERJU1RJTkNUIHVzZXJfaWQpIHVuaXF1ZV92aWV3ZXJzIEZST00gc3RhdF92aWV3cyBXSEVSRSBhZ2dyZW" . "dhdGlvbiA9IGludDphZ2dyZWdhdGlvbiBBTkQg"), "aggregat" . "ion" => base64_decode("YWdn" . "cmVn" . "YXRp" . "b24="), "_31fe0e29fdfc834bf81efd" . "515f8390b2" => base64_decode("IEdST1VQIEJZIG9iamVjdF9pZCBPUkRFU" . "iBCWSB2aWV3cyBERVNDLCB1bmlxdWVfdm" . "lld2VycyBERVNDLCBvYmplY3RfaWQgQVN" . "D"), "_c3632c30d13c0678877605a29c10c4" . "28" => base64_decode("IEdST1VQIE" . "JZIG9iamVj" . "dF9pZCkgdA" . "=="), "_bfe6642a5b68bf0dfbe0" . "e38d0c9f9bb3" => base64_decode("U0VMRUNUIENPVU5UKDEpIEZST00gKFNFTEVDVCBvYmp" . "lY3RfaWQgRlJPTSBzdGF0X3ZpZXdzIFdIRVJFIGFnZ3" . "JlZ2F0aW9uID0gaW50OmFnZ3JlZ2F0aW9uIEFORCA="));
use Claromentis\Core\DAL;
abstract class StatReportTopViewList extends StatReportTopList
{
    function __construct($aggregation, $name)
    {
        parent::__construct($aggregation, $name);
        $this->most_popular_amount = 10;
        $this->rows_per_page = 20;
    }
    protected function CollectData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        global $db;
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_8a2c4179b7145f57e" . "03893c306413ae2"] . $filter->AsPart() . $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_31fe0e29fdfc834bf81e" . "fd515f8390b2"]);
        $query->Bind($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["agg" . "reg" . "ati" . "on"], $this->aggregation);
        $query->BindPart($filter);
        $query->setLimit($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4);
        $result = $db->query($query);
        $data = array();
        while ($row = $result->fetchArray()) {
            $data[] = $row;
        }
        return $data;
    }
    protected function GetNumRowsQuery()
    {
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_bfe6642a5b68bf0dfbe0e" . "38d0c9f9bb3"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_c3632c30" . "d13c06788" . "77605a29c" . "10c428"], $this->aggregation);
        $query->BindPart($filter);
        return $query;
    }
}